Skip to main content
GET
/
workspaces
/
{id}
/
members
List workspace members
curl --request GET \
  --url https://app.mavera.io/api/v1/workspaces/{id}/members \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "workspace_id": "<string>",
  "data": [
    {
      "object": "workspace.member",
      "user_id": "<string>",
      "email": "jsmith@example.com",
      "role": "owner",
      "status": "active",
      "joined_at": "2023-11-07T05:31:56Z"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>",
  "pending_invitations": [
    {
      "id": "<string>",
      "object": "workspace.invitation",
      "workspace_id": "<string>",
      "email": "jsmith@example.com",
      "role": "owner",
      "status": "pending",
      "invited_by": "<string>",
      "expires_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total_members": 123,
  "total_pending": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.mavera.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key prefixed with mvra_live_. Create keys at Settings > Developer > API Keys.

Path Parameters

id
string
required

Workspace ID

Query Parameters

role
enum<string>

Filter by member role

Available options:
owner,
manager,
analyst,
viewer,
editor,
creative_specialist,
client_viewer,
department_admin

Search by email

limit
integer
default:50

Maximum number of results (default 50, max 100)

Required range: 1 <= x <= 100
cursor
string

Cursor for pagination

include_pending
boolean
default:true

Include pending invitations (default true)

Response

List of members and invitations

object
enum<string>
Available options:
list
workspace_id
string
data
object[]
has_more
boolean

Whether there are more results available

next_cursor
string | null

Cursor to use for fetching the next page

pending_invitations
object[]

List of pending invitations (when include_pending=true)

total_members
integer

Total members including owner

total_pending
integer

Total pending invitations